This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 461096 - xorg-x11-server-Xdmx produce segfault
xorg-x11-server-Xdmx produce segfault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 01:02 EDT by Gilles J. Seguin
Modified: 2009-10-01 05:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:49:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log to xterm of startx cli command (3.58 KB, text/plain)
2008-09-04 01:02 EDT, Gilles J. Seguin
no flags Details
/etc/X11/xorg.conf front end (811 bytes, text/plain)
2008-09-04 12:45 EDT, Gilles J. Seguin
no flags Details
xorg.conf back end (593 bytes, text/plain)
2008-09-04 12:49 EDT, Gilles J. Seguin
no flags Details
Output from failed Xdmx test host0->host2 (3.22 KB, text/plain)
2008-09-30 15:55 EDT, Matt Hirsch
no flags Details
log file, self explanatory (35.01 KB, application/octet-stream)
2008-10-05 20:56 EDT, Gilles J. Seguin
no flags Details

  None (edit)
Description Gilles J. Seguin 2008-09-04 01:02:33 EDT
Created attachment 315719 [details]
log to xterm of startx cli command

Description of problem:


Version-Release number of selected component (if applicable):
xorg-x11-server-Xdmx-1.4.99.905-2.20080702.fc9.i386
xorg-x11-server-Xorg-1.4.99.905-2.20080702.fc9.i386.rpm
xorg-x11-server-common-1.4.99.905-2.20080702.fc9.i386.rpm

How reproducible: allways

Steps to Reproduce:
1. telinit 3
2. startx
3. xhost +  # on both machine
4. xterm -display 192.168.0.10:0   # is working
5. startx /usr/bin/twm -- /usr/bin/Xdmx :1 +xinerama -display :0 -display 192.168.0.10:0

  
Actual results:
from /var/log/messages
Sep  4 00:00:17 tiger kernel: Xdmx[3017]: segfault at 5 ip 00659d78 sp bff85030 error 4 in libX11.so.6.2.0[5d2000+fd000]

Expected results:


Additional info:
running the startx cli command produce, see attachment xdmx-1.log
Comment 1 Matěj Cepl 2008-09-04 11:15:10 EDT
Could we get /etc/X11/xorg.conf as well, please? (actually all of them, if they differ)
Comment 2 Gilles J. Seguin 2008-09-04 12:45:34 EDT
Created attachment 315778 [details]
/etc/X11/xorg.conf front end
Comment 3 Gilles J. Seguin 2008-09-04 12:49:40 EDT
Created attachment 315779 [details]
xorg.conf back end
Comment 4 Matt Hirsch 2008-09-30 15:55:45 EDT
Created attachment 318115 [details]
Output from failed Xdmx test host0->host2

I'm also experiencing this bug with newer versions of the server-Xorg and Xdmx packages on the ppc and x86_64 architectures. I posted on fedoraforum.org about this: http://forums.fedoraforum.org/showthread.php?t=200487

But here are the details:

xorg-x11-drv-nv-2.1.10-1.fc9
xorg-x11-server-Xdmx-1.5.0-2.fc9
xorg-x11-server-Xorg-1.5.0-2.fc9
kernel-2.6.26.3-29.fc9

host0: intel dual dual-core xeon (x86_64), nvidia driver
host1: intel xeon (x86_64), nv driver
host2: G4 imac (ppc), nv driver
host3: G4 imac (ppc), nv driver

I've tried these configurations with Xdmx, where the first host is the one running Xdmx and the ones after the arrow are the target machines:

host0 -> host2 and host3
host0 -> host2
host0 -> host1
host1 -> host2 and host3
host1 -> host3
host0 -> host0

I get a segfault in each of these configurations. The attached output is from the attempt of host0 -> host2, but it is very similar to the output from the other tests.
Comment 5 Matěj Cepl 2008-10-01 04:49:40 EDT
I don't see anywhere /var/log/Xorg.0.log from the backend Xserver. Can we get that too, please? I am sorry, for not asking for it before.

Thank you
Comment 6 Gilles J. Seguin 2008-10-05 20:53:49 EDT
(In reply to comment #5)
> I don't see anywhere /var/log/Xorg.0.log from the backend Xserver. Can we get
> that too, please? I am sorry, for not asking for it before.

see attachment
Comment 7 Gilles J. Seguin 2008-10-05 20:56:00 EDT
Created attachment 319513 [details]
log file, self explanatory
Comment 8 Gilles J. Seguin 2008-10-05 21:00:36 EDT
(In reply to comment #7)
> Created an attachment (id=319513) [details]
> log file, self explanatory

attachment (id=319513) is /var/log/Xorg.0.log on the backend
Comment 9 Bug Zapper 2009-06-09 22:37:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 12:49:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Karl Vogel 2009-10-01 05:56:07 EDT
This issue has been reported and fixed in: http://bugs.freedesktop.org/show_bug.cgi?id=18086

Note You need to log in before you can comment on or make changes to this bug.